package com.njcn.energy.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njcn.energy.mapper.EleParmMapper;
import com.njcn.energy.pojo.po.EleEpdPqd;
import com.njcn.energy.pojo.po.EleParm;
import com.njcn.energy.service.IEleParmService;
import org.springframework.stereotype.Service;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2022/3/15 19:44
 */
@Service
public class ELeParmServiceImpl extends ServiceImpl<EleParmMapper, EleParm> implements IEleParmService {
    @Override
    public boolean addParm(EleParm eleParm) {
        return this.save(eleParm);
    }

    @Override
    public boolean updateParm(EleParm eleParm) {
        return this.updateById(eleParm);
    }

    @Override
    public EleParm findByName(String name) {
        return this.lambdaQuery().eq(EleParm::getName,name).one();
    }
}
